stages:
#  - build
  - publish

#docker:build:
#  stage: build
#  image: docker
#  variables:
#    DOCKER_REGISTRY: ${CI_REGISTRY}/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}
#    DOCKER_TAG: ${CI_COMMIT_REF_NAME}
#  script:
#    - docker build -t ${DOCKER_REGISTRY}:${DOCKER_TAG} .

services:
  - docker:20.10.16-dind
docker:publish:
  stage: publish
  image: docker
  variables:
    DOCKER_REGISTRY: ${CI_REGISTRY}/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}
    DOCKER_TAG: ${CI_COMMIT_REF_NAME}
  script:
    - echo -n "${CI_REGISTRY_PASSWORD}" | docker login ${CI_REGISTRY} -u ${CI_REGISTRY_USER} --password-stdin
    - docker build -t ${DOCKER_REGISTRY}:${DOCKER_TAG} .
    - docker push ${DOCKER_REGISTRY}:${DOCKER_TAG}
